#ifndef ARENALIGHTING_H
#define ARENALIGHTING_H

#include "Arena.h"

#define LED_RED     0x0101
#define LED_WHITE   0x0202
#define LED_BLUE    0x0404
#define LED_GREEN   0x0808
#define LED_YELLOW  0x1010

#define LED_SPOT    0x2000

#define LED_LEFT    0xFF00
#define LED_RIGHT   0x00FF
#define LED_ALL     0xFFFF
#define LED_NONE    0x0000

/*
 * Arena Lighting programs.
 */
class ArenaLighting : public Arena {

  public: 
    ArenaLighting(byte dataPin, byte storagePin, byte clockPin);
    void off();
    void on(int leds);
    void on(int leds, int milliseconds);

    // Beleuchtungsprogramme
    virtual void boot();
    virtual void startBattle();
    virtual void ringOutFinish();
    virtual void survivorFinish();
    virtual void burstFinish();

  private:
    byte _clockPin;
    byte _storagePin;
    byte _dataPin;
};

#endif
