#include <arduino.h>
#include "SoftwareSerial.h"
#include "ArenaSound.h"
#include "DFRobotDFPlayerMini.h"

#define ARENASOUND_INTRO            1
#define ARENASOUND_START_BATTLE     2
#define ARENASOUND_RING_OUT_FINISH  3
#define ARENASOUND_SURVIVOR_FINISH  4
#define ARENASOUND_BURST_FINISH     5

#define ARENASOUND_BITRATE          9600
#define ARENASOUND_DEFAULT_VOLUME   15

#define PIN_DFPLAYER_RX             9
#define PIN_DFPLAYER_TX             10  


SoftwareSerial mySoftwareSerial(PIN_DFPLAYER_RX, PIN_DFPLAYER_TX); // RX, TX
DFRobotDFPlayerMini _player;


/*
 *  
 */
ArenaSound::ArenaSound() {
  _volume = ARENASOUND_DEFAULT_VOLUME;
}

/*
 * 
 */
void ArenaSound::boot() {
  mySoftwareSerial.begin(ARENASOUND_BITRATE);
  _player.begin(mySoftwareSerial);
  _player.volume(_volume); 
  _player.play(ARENASOUND_INTRO);
}

/*
 * 
 */
void ArenaSound::startBattle(){
  _player.play(ARENASOUND_START_BATTLE);
}

/*
 * 
 */
void ArenaSound::ringOutFinish(){
  _player.play(ARENASOUND_RING_OUT_FINISH);
}

/*
 * 
 */
void ArenaSound::survivorFinish(){
  _player.play(ARENASOUND_SURVIVOR_FINISH);
}

/*
 * 
 */
void ArenaSound::burstFinish(){
  _player.play(ARENASOUND_BURST_FINISH);
}

/*
 * 
 */
void ArenaSound::volumeDec(){
  _player.volumeDown();
}

/*
 * 
 */
void ArenaSound::volumeInc(){
  _player.volumeUp();
}

